package com.fdage.dao.cust;


import com.fdage.respon.ResponRole;
import com.fdage.respon.ResponUser;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface TbRoleMapperCust {

    Set<Long> findRoleResourceByRoleId(Long id);

    void deleteRoleResource(Long roleId);

    void saveRoleResource(Map<String, Object> map);

    int saveRoleUser(Map<String, Object> map);

    int deleteRoleUser(Long userId);

    List<ResponRole> findRoleList();

    List<String> findUserNameByRoleId(Long roleId);

    List<ResponUser> findUserByRoleId(Long roleId);
}